Delete a subnetwork for a network pool

DELETE/v1/network_pools/{network_pool_id}/subnetworks/{network_id}

If you need to remove a subnetwork, use a DELETE request to the /v1/network_pools/{network_pool_id}/subnetworks/{network_id} endpoint. The pool and subnetwork IDs are mandatory path parameters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

network_pool_id*string

A unique identifier of the pool that contains a subnetwork.

network_id*string

A unique identifier of a subnetwork.

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/network_pools/Vyb83lav/subnetworks/WPe99PeL"
Empty
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Cannot delete the attached subnetwork",  "code": "CANNOT_DELETE_ATTACHED_NETWORK"}